## kxsldbg-trinity 14.1.5~pre6

=== debian/changelog ===
kxsldbg-trinity (4:14.1.5~pre6-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for 8e2564712d4fc1436b3a7c7734a2bab1cde5089e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Oct 2025 16:46:09 +0200

kxsldbg-trinity (4:14.1.5-0~a) forky; urgency=low

  * Move from tdewebdev into a standalone package.

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 17 Oct 2025 01:57:27 +0200
