## kxsldbg-trinity 14.1.5~pre7

=== debian/changelog ===
kxsldbg-trinity (4:14.1.5~pre7-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for a22627fa059e8ad46fe89e12a6da09c22a5654bb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 25 Oct 2025 23:33:15 +0200
