=== src/CMakeLists.txt ===
tde_conditional_add_subdirectory( BUILD_EXAMPLE_DATA data )
add_subdirectory( kxsldbgpart )

add_compile_options( ${ICU_CXXFLAGS} )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS}
  ${LIBXSLT_INCLUDE_DIRS}
  ${READLINE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kxsldbg (executable)

tde_add_executable( kxsldbg AUTOMOC

  SOURCES
        kxsldbg.cpp
        main.cpp
        kxsldbgif.skel
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     tqtnotfier-static
     kxsldbgcommon-static
     xsldbg-static
     ${READLINE_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### xsldbg (executable)

tde_add_executable( xsldbg AUTOMOC

  SOURCES
        xsldbgmain.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     xsldbg-static
     ${READLINE_LIBRARIES}

  DEPENDENCIES
     xsldbg-static

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( kxsldbg )


##### other data

install(
    FILES kxsldbg_shell.rc
    DESTINATION ${DATA_INSTALL_DIR}/kxsldbg
)

tde_create_translated_desktop(
    SOURCE xsldbg.desktop
    DESTINATION ${APPS_INSTALL_DIR}/.hidden
)

tde_create_translated_desktop(
    SOURCE kxsldbg.desktop
)
