=== src/kxsldbgpart/CMakeLists.txt ===
add_subdirectory( libtqtnotfier )
add_subdirectory( libxsldbg     )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS}
  ${LIBXSLT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_compile_options( ${ICU_CXXFLAGS} )


##### kxsldbgcommon (static)

tde_add_library( kxsldbgcommon STATIC_PIC AUTOMOC

  SOURCES
        kxsldbg_partif.skel
        xsldbgwalkspeed.ui
        xsldbgtemplates.ui
        xsldbgsources.ui
        xsldbgmsgdialog.ui
        xsldbglocalvariables.ui
        xsldbgglobalvariables.ui
        xsldbgentities.ui
        xsldbgconfig.ui
        xsldbgcallstack.ui
        xsldbgbreakpoints.ui
        xsldbgwalkspeedimpl.cpp
        xsldbgtemplatesimpl.cpp
        xsldbgtemplatelistitem.cpp
        xsldbgsourcesimpl.cpp
        xsldbgoutputview.cpp
        xsldbglocalvariablesimpl.cpp
        xsldbglocallistitem.cpp
        xsldbglistitem.cpp
        xsldbginspector.cpp
        xsldbgglobalvariablesimpl.cpp
        xsldbggloballistitem.cpp
        xsldbgentitiesimpl.cpp
        xsldbgdoc.cpp
        xsldbgdialogbase.cpp
        xsldbgdebugger.cpp
        xsldbgconfigimpl.cpp
        xsldbgcallstackimpl.cpp
        xsldbgbreakpointsimpl.cpp
        xsldbgbreakpointlistitem.cpp
        qxsldbgdoc.cpp
        kxsldbg_part.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     kjs-shared
     xsldbg-static
     tqtnotfier-static
)


##### libkxsldbgpart (kpart)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_kpart( libkxsldbgpart AUTOMOC

  SOURCES
        dummy.cpp
  EMBED
     kxsldbgcommon-static
  LINK
     tdecore-shared
     tdeui-shared
     kjs-shared
     tdeio-shared
     tdeparts-shared
     katepartinterfaces-shared
     ${READLINE_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

tde_create_translated_desktop(
    SOURCE kxsldbg_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kxsldbg-desktops
)

install(
    FILES kxsldbg_part.rc
    DESTINATION ${DATA_INSTALL_DIR}/kxsldbgpart
)
