=== src/kxsldbgpart/libxsldbg/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS}
  ${LIBXSLT_INCLUDE_DIRS}
  ${READLINE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_compile_options( ${ICU_CXXFLAGS} )

##### xsldbg (static)

tde_add_library( xsldbg STATIC_PIC AUTOMOC

  SOURCES
        allmoc.cpp
        xsldbgthread.cpp
        xsldbg.cpp
        xsldbgmsg.cpp
        variable_cmds.cpp
        utils.cpp
        trace_cmds.cpp
        template_cmds.cpp
        search_cmds.cpp
        search.cpp
        param_cmds.cpp
        os_cmds.cpp
        options_unix.cpp
        options.cpp
        option_cmds.cpp
        nodeview_cmds.cpp
        help_unix.cpp
        files_unix.cpp
        files.cpp
        file_cmds.cpp
        debug.cpp
        callstack.cpp
        breakpoint_cmds.cpp
        breakpoint.cpp
        arraylist.cpp
        debugXSL.cpp
  LINK
     ${LIBXSLT_LIBRARIES}
     ${LIBEXSLT_LIBRARIES}
     ${READLINE_LIBRARIES}
)
