=== debian/changelog ===
kxsldbg-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 25 Oct 2025 23:33:15 +0200
