=== debian/control ===
Source: kxsldbg-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libreadline-dev | libreadline6-dev | libreadline5-dev, libxml2-dev, libxslt1-dev, libicu-dev
Standards-Version: 3.8.4
Homepage: http://www.trinitydesktop.org/

Package: kxsldbg-trinity
Architecture: any
Section: text
Replaces: kxsldbg-trinity (<< 4:14.0.0~)
Breaks: kxsldbg-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity, khelpcenter-trinity
Description: graphical XSLT debugger for TDE [Trinity]
 KXSLDbg is a debugger for XSLT scripts. It includes a graphical user
 interface as well as a text-based debugger. KXSLDbg can be run as a
 standalone application or as an embedded TDE part.
 .
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.,
 using standard XSLT stylesheets.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.
