## kxsldbg-trinity 14.1.6~pre1

=== debian/changelog ===
kxsldbg-trinity (4:14.1.6~pre1-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for 29d6aa80e5c3b9cc571843b1e0f2fb0185078ca6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Dec 2025 22:34:53 +0100
