## kxsldbg-trinity 14.1.6~pre2

=== debian/changelog ===
kxsldbg-trinity (4:14.1.6~pre2-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for bdabbcb21423822c86819e32d0931a7502b68fa2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:33:23 +0100
