## kxsldbg-trinity 14.1.6~pre3

=== debian/changelog ===
kxsldbg-trinity (4:14.1.6~pre3-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for 13a0b05d1332fb57bded44f6c2181c45815c5470
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 22:32:33 +0100
