## kxsldbg-trinity 14.2.0~pre5

=== debian/changelog ===
kxsldbg-trinity (4:14.2.0~pre5-1ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for fa08e92ac773ef6c735d896e59468abddbdd6c1b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Oct 2025 12:23:06 +0200
