## kxsldbg-trinity 14.2.0~pre6

=== debian/changelog ===
kxsldbg-trinity (4:14.2.0~pre6-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for 6dfa7b1076eec3519e553bdf830ef8e48742db7a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Dec 2025 00:51:18 +0100
