## kxsldbg-trinity 14.2.0~pre7

=== debian/changelog ===
kxsldbg-trinity (4:14.2.0~pre7-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for 58fbf701066cc014b97e2aafad3b9d8aedacdf48
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:53:43 +0100
