## kxsldbg-trinity 14.2.0~pre8

=== debian/changelog ===
kxsldbg-trinity (4:14.2.0~pre8-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for d8fd5fa14e074aeb1ad13910c3a05bf169782133
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 15:51:09 +0100
